---
type: api
title: Delete API key
description: Delete or invalidate the API key.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-api-key
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-api-key
products:
  - Elastic Cloud Enterprise
---

# Delete API key

## Paths

- `DELETE` `/users/auth/keys/{api_key_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `api_key_id` (string)
  The API Key ID.

## Description

Delete or invalidate the API key.

## Responses

#### `200`

The API key is deleted.

`application/json`

Type: `EmptyResponse`

#### `404`

The {api_key_id} can't be found. (code: `api_keys.key_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /users/auth/keys/{api_key_id}
```

#### curl

```curl
curl -X DELETE "/users/auth/keys/{api_key_id}"
```

